﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Media;


namespace PhoneAppSoundEffects
{
    public partial class MainPage : PhoneApplicationPage
    {

        // The sounds to play
        private SoundEffect coyoteSound;
        private SoundEffect birdSound;

        // Constructor
        public MainPage()
        {
            InitializeComponent();
            LoadSound("Resources/coyoteSound.wav", out coyoteSound);
            LoadSound("Resources/birdSound.wav", out birdSound);
        }

        /// Loads a resource into an XNA Framework SoundEffect.
        private void LoadSound(String SoundFilePath, out SoundEffect Sound)
        {
            // For error checking, assume we'll fail to load the file.
            Sound = null;

            try
            {
                Sound = SoundEffect.FromStream(TitleContainer.OpenStream (SoundFilePath));
            }
            catch (NullReferenceException)
            {
                // Display an error message
                MessageBox.Show("Couldn't load sound " + SoundFilePath);
            }
        }

        private void btnWolf_Click(object sender, RoutedEventArgs e)
        {
            FrameworkDispatcher.Update();
            coyoteSound.Play();
        }

        private void btnBird_Click(object sender, RoutedEventArgs e)
        {
            FrameworkDispatcher.Update();
            birdSound.Play();
        }
    }
}